STRUCT USB_SG_REQUES(9)

NAME
struct_usb_sg_request - support for scatter/gather I/O

SYNOPSIS

struct usb_sg_request {
  int status;
  size_t bytes;
};

MEMBERS

status
    zero indicates success, else negative errno

bytes
    counts bytes transferred.

DESCRIPTION

These requests are initialized using usb_sg_init, and then are used as request handles passed to usb_sg_wait or usb_sg_cancel. Most members of the request object aren't for driver access.

The status and bytecount values are valid only after usb_sg_wait returns. If the status is zero, then the bytecount matches the total from the request.

After an error completion, drivers may need to clear a halt condition on the endpoint.

COPYRIGHT